|  | Home | Documentation | saml2__AdviceType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Classes | Public Attributes | List of all members
saml2__AdviceType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":AdviceType is a complexType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__AdviceType:
[legend]

## Classes
struct | __saml2__union_AdviceType

## Public Attributes
int | __size_AdviceType
struct saml2__AdviceType::__saml2__union_AdviceType * | __union_AdviceType

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":AdviceType is a complexType.

Note
  struct saml2__AdviceType operations:
  - saml2__AdviceType* soap_new_saml2__AdviceType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__AdviceType(struct soap*, saml2__AdviceType*) default initialize members
  - int soap_read_saml2__AdviceType(struct soap*, saml2__AdviceType*) deserialize from a source
  - int soap_write_saml2__AdviceType(struct soap*, saml2__AdviceType*) serialize to a sink
  - saml2__AdviceType* soap_dup_saml2__AdviceType(struct soap*, saml2__AdviceType* dst, saml2__AdviceType <em>src) returns deep copy of saml2__AdviceType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__AdviceType(saml2__AdviceType) deep deletes saml2__AdviceType data members, use only on dst after soap_dup_saml2__AdviceType(NULL, saml2__AdviceType *dst, saml2__AdviceType *src) (use soapcpp2 -Ed)

## Member Data Documentation

int saml2__AdviceType::__size_AdviceType

struct saml2__AdviceType::__saml2__union_AdviceType * saml2__AdviceType::__union_AdviceType

The documentation for this struct was generated from the following file:

- saml2.h